// mINI.h
// ``````

#include <string>
#include <map>

typedef std::map<std::string,std::map<std::string,std::string>> ini_t;

// Reading and writing files
bool  file_get_contents(std::wstring filepath, std::string& result);
bool  file_put_contents(std::wstring filepath, std::string& data);

// Reading and writing INI structures
ini_t ini_read(std::wstring filepath);
void  ini_write(std::wstring filepath, ini_t& data);